From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jedi/
Date: Mon, 2 Oct 2023 18:35:02 +0000 (UTC) [thread overview]
Message-ID: <1696271645.19dee9d12cffb09dda8c49346b13dedbbdbc2362.arthurzam@gentoo> (raw)
commit: 19dee9d12cffb09dda8c49346b13dedbbdbc2362
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 2 18:23:27 2023 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Oct 2 18:34:05 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19dee9d1
dev-python/jedi: add 0.19.1
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/jedi/Manifest | 1 +
dev-python/jedi/jedi-0.19.1.ebuild | 72 ++++++++++++++++++++++++++++++++++++++
2 files changed, 73 insertions(+)
diff --git a/dev-python/jedi/Manifest b/dev-python/jedi/Manifest
index 39b084235fce..fad62e69dfbe 100644
--- a/dev-python/jedi/Manifest
+++ b/dev-python/jedi/Manifest
@@ -1,3 +1,4 @@
DIST django-stubs-fd057010f6cbf176f57d1099e82be46d39b99cb9.tar.gz 183312 BLAKE2B a68f6139903f5001db994ee0d881f40ab74932e81c3e2c3a0c22dc56e6be681d0fb42ce837603b21e4d0d448ccb25884ef0f69039305f309e82603267cee9f6a SHA512 506322c132f94e6a1e88cdbde6027a566387731fa6ad59934f95c3511f49d90eff2a3138363811be648b096407d418cd1f801df0bc35b1e464ef181e4076ada1
DIST jedi-0.19.0.gh.tar.gz 472334 BLAKE2B 04e8fda32c2d0b0476d197c5686011f811d5c269cdb61b15d0bafa9e3aabed05deb44f98d2e3a25faf7bd130b3a9289d058ed06199fc760357d34c551ecc5ad0 SHA512 0db8c7859e55057afc0367455c2f3817d8f05a19b6fbdc163a74f07854562c9c29307c7f8ac92e0ce9349353ac148f728a25b3be4cc62dc35f3060bdb79b02c8
+DIST jedi-0.19.1.gh.tar.gz 472341 BLAKE2B 34238969acb5b6e6db0307d1d18c1c6f3cf666c00e590c5f2338584526135b75e56a3b4e0cef63dc52fd96db4078cb4b82e0652a9ca092c99f4da8448bf65d1f SHA512 aaa2684b787ec99d2477755d7b6ef4ec727fd244bb55178cf3a9e78b50f660c6fab7b88d09e3d02e76f17e656cd1cdb6078282b63516e5e52a1852a821540105
DIST typeshed-ae9d4f4b21bb5e1239816c301da7b1ea904b44c3.tar.gz 602044 BLAKE2B 53298918a7e9a1163e76d4c70ad2a2117ee90b49329aa82d82b2aaaeaf000c971872f83ed283af6dc4be068b813876760c8b1b4acb4131865572a4aed3ea9230 SHA512 b3b9da66b6c6e03e0b262b3262df31215a5e080468ca9ebf4332ed53d715cd3956db7067fad3ec267042ff704f81ac665c703ef2fd0c5b445d440bd8e52bf1aa
diff --git a/dev-python/jedi/jedi-0.19.1.ebuild b/dev-python/jedi/jedi-0.19.1.ebuild
new file mode 100644
index 000000000000..cc279d73529c
--- /dev/null
+++ b/dev-python/jedi/jedi-0.19.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+TYPESHED_P="typeshed-ae9d4f4b21bb5e1239816c301da7b1ea904b44c3"
+DJANGO_STUBS_P="django-stubs-fd057010f6cbf176f57d1099e82be46d39b99cb9"
+
+DESCRIPTION="Autocompletion library for Python"
+HOMEPAGE="
+ https://github.com/davidhalter/jedi/
+ https://pypi.org/project/jedi/
+"
+SRC_URI="
+ https://github.com/davidhalter/jedi/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ https://github.com/davidhalter/typeshed/archive/${TYPESHED_P#typeshed-}.tar.gz
+ -> ${TYPESHED_P}.tar.gz
+ https://github.com/davidhalter/django-stubs/archive/${DJANGO_STUBS_P#django-stubs-}.tar.gz
+ -> ${DJANGO_STUBS_P/v/}.tar.gz
+"
+
+LICENSE="
+ MIT
+ test? ( Apache-2.0 )
+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ <dev-python/parso-0.9[${PYTHON_USEDEP}]
+ >=dev-python/parso-0.8.3[${PYTHON_USEDEP}]
+"
+
+# RDEPEND needed because of an import jedi inside conf.py
+distutils_enable_sphinx docs \
+ dev-python/parso \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # upstream includes these as submodules ...
+ rmdir "${S}"/jedi/third_party/{django-stubs,typeshed} || die
+ mv "${WORKDIR}/${DJANGO_STUBS_P/v/}" \
+ "${S}/jedi/third_party/django-stubs" || die
+ mv "${WORKDIR}/${TYPESHED_P}" \
+ "${S}/jedi/third_party/typeshed" || die
+
+ # test_complete_expanduser relies on $HOME not being empty
+ > "${HOME}"/somefile || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile
+ test/test_speed.py
+ # assumes pristine virtualenv
+ test/test_inference/test_imports.py::test_os_issues
+ )
+
+ # some plugin breaks case-insensitivity on completions
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # django and pytest tests are very version dependent
+ epytest -o addopts= -k "not django and not pytest"
+}
next reply other threads:[~2023-10-02 18:35 UTC|newest]
Thread overview: 76+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-10-02 18:35 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-20 13:48 [gentoo-commits] repo/gentoo:master commit in: dev-python/jedi/ Michał Górny
2024-11-30 11:11 Michał Górny
2024-11-11 3:41 Michał Górny
2024-10-30 15:19 Michał Górny
2024-10-30 14:53 Sam James
2024-07-08 9:36 Sam James
2023-11-16 16:44 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 19:10 Arthur Zamarin
2023-08-31 5:13 Michał Górny
2023-08-31 4:21 Sam James
2023-07-30 17:51 Michał Górny
2023-01-07 18:36 Arthur Zamarin
2022-11-22 6:27 Arthur Zamarin
2022-11-06 7:59 Michał Górny
2022-11-06 7:24 Sam James
2022-05-27 19:45 Michał Górny
2022-05-27 9:07 Jakov Smolić
2022-04-25 12:11 Michał Górny
2022-04-25 12:11 Michał Górny
2022-04-25 12:11 Michał Górny
2021-09-05 1:18 Sam James
2021-09-05 1:18 Sam James
2021-08-26 3:00 Sam James
2021-08-24 23:21 Sam James
2021-08-24 18:58 Arthur Zamarin
2021-08-20 23:51 Sam James
2021-08-20 6:00 Agostino Sarubbo
2021-08-20 5:59 Agostino Sarubbo
2021-08-15 19:51 Sam James
2021-08-15 7:42 Michał Górny
2021-08-04 10:23 Sergei Trofimovich
2021-07-25 15:26 Sergei Trofimovich
2021-07-25 3:16 Matt Turner
2021-07-25 3:16 Matt Turner
2021-07-01 14:42 Michał Górny
2021-07-01 8:43 Michał Górny
2021-06-30 12:21 Michał Górny
2021-06-20 1:55 Sam James
2021-01-27 9:00 Michał Górny
2021-01-27 3:06 Sam James
2020-12-25 18:49 Michał Górny
2020-08-20 11:39 Michał Górny
2020-08-19 9:01 Sam James
2020-08-02 8:26 Michał Górny
2020-07-19 18:14 Michał Górny
2020-07-17 4:18 Matt Turner
2020-07-09 10:39 Michał Górny
2020-06-20 7:47 Michał Górny
2020-06-03 17:27 Michał Górny
2020-06-02 12:01 Michał Górny
2020-05-04 11:13 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:25 Joonas Niilola
2020-01-29 6:14 Joonas Niilola
2019-12-02 21:13 Aaron Bauman
2018-08-30 17:25 Michał Górny
2018-08-30 17:25 Michał Górny
2018-05-10 21:40 Patrice Clement
2018-04-22 1:35 Thomas Deutschmann
2018-03-21 20:24 Markus Meier
2018-03-12 0:51 Matt Turner
2018-03-04 22:40 Sergei Trofimovich
2017-09-01 10:28 Tim Harder
2017-09-01 10:28 Tim Harder
2017-06-23 7:04 Alexis Ballier
2017-05-03 9:26 Michał Górny
2017-04-26 8:20 Tim Harder
2017-02-16 20:47 Tim Harder
2016-05-22 15:59 Patrice Clement
2016-05-22 15:59 Patrice Clement
2016-01-25 15:11 Justin Lecher
2015-11-03 17:21 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1696271645.19dee9d12cffb09dda8c49346b13dedbbdbc2362.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox